## org.gnu.gtk
Class ToggleActionEntry

    java.lang.Object
      org.gnu.glib.Struct
          org.gnu.glib.MemStruct
              org.gnu.gtk.ToggleActionEntry

public class ToggleActionEntry
extends MemStruct

Constructor Summary
`ToggleActionEntry(java.lang.String name, java.lang.String stockId, java.lang.String label, java.lang.String accel, java.lang.String tooltip, boolean isActive, ToggleActionEntryListener listener)`

Method Summary
`void` `addListener(ToggleActionEntryListener listener)`
`void` `removeListener(ToggleActionEntryListener listener)`

Methods inherited from class org.gnu.glib.MemStruct
`getMemStructFromHandle`

Methods inherited from class org.gnu.glib.Struct
`equals, getHandle, getNullHandle, hashCode`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ToggleActionEntry

    public ToggleActionEntry(java.lang.String name,
                             java.lang.String stockId,
                             java.lang.String label,
                             java.lang.String accel,
                             java.lang.String tooltip,
                             boolean isActive,
                             ToggleActionEntryListener listener)

Method Detail

### addListener

    public void addListener(ToggleActionEntryListener listener)

### removeListener

    public void removeListener(ToggleActionEntryListener listener)